OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.PointSprite

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPointSprite :: MonadIO m => m Bool
- gl_NV_point_sprite :: Bool
- gl_COORD_REPLACE_NV :: GLenum
- gl_POINT_SPRITE_NV :: GLenum
- gl_POINT_SPRITE_R_MODE_NV :: GLenum
- glPointParameteriNV :: MonadIO m => GLenum -> GLint -> m ()
- glPointParameterivNV :: MonadIO m => GLenum -> Ptr GLint -> m ()

# Extension Support

glGetNVPointSprite :: MonadIO m => m Bool

Is the NV_point_sprite extension supported?

gl_NV_point_sprite :: Bool

Is the NV_point_sprite extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPointSprite` in those cases instead.

# Enums

gl_COORD_REPLACE_NV :: GLenum

gl_POINT_SPRITE_NV :: GLenum

gl_POINT_SPRITE_R_MODE_NV :: GLenum

# Functions

glPointParameteriNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> GLint | `param`.
-> m () |

This command is an alias for `glPointParameteri`.

glPointParameterivNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glPointParameteriv`.